Bug 455010 - setroubleshoot browser hangs when marking a large number of events
setroubleshoot browser hangs when marking a large number of events
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: setroubleshoot (Show other bugs)
9
All Linux
low Severity low
: ---
: ---
Assigned To: Daniel Walsh
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-07-11 09:34 EDT by Jeff Moyer
Modified: 2009-06-10 06:46 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-06-10 06:46:22 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jeff Moyer 2008-07-11 09:34:43 EDT
Description of problem:
I selected all (Ctrl-A) and did edit->Mark Delete and the process hung.  Strace
of sealert shows it hung here:

sendto(13, "content-length: 778\r\ntype: metho"..., 829, 0, NULL, 0

strace of setroubleshootd shows it hung here:

sendto(10, "content-length: 135\r\ntype: metho"..., 193, 0, NULL, 0

The wchan for each of these processes is sock_alloc_send_skb.  It looks like
you're overflowing the send buffer.  Here are the kernel stack traces:

PID: 11303  TASK: ffff81006f9f0d00  CPU: 0   COMMAND: "setroubleshootd"
 #0 [ffff81005bcffb10] schedule_timeout at ffffffff804b1b3f
 #1 [ffff81005bcffb60] sock_alloc_send_skb at ffffffff8042343a
 #2 [ffff81005bcffc00] unix_stream_sendmsg at ffffffff80491ff6
 #3 [ffff81005bcffcb0] sock_sendmsg at ffffffff8042073a
 #4 [ffff81005bcffe50] sys_sendto at ffffffff8042132d

PID: 11162  TASK: ffff8100124a6b40  CPU: 0   COMMAND: "/usr/bin/sealer"
 #0 [ffff8100124c5b10] schedule_timeout at ffffffff804b1b3f
 #1 [ffff8100124c5b60] sock_alloc_send_skb at ffffffff8042343a
 #2 [ffff8100124c5c00] unix_stream_sendmsg at ffffffff80491ff6
 #3 [ffff8100124c5cb0] sock_sendmsg at ffffffff8042073a
 #4 [ffff8100124c5e50] sys_sendto at ffffffff8042132d


Version-Release number of selected component (if applicable):
setroubleshoot-2.0.8-2.fc9.noarch
setroubleshoot-server-2.0.8-2.fc9.noarch


How reproducible:
100%

Steps to Reproduce:
1. Select a bunch of messages (427 in my case)
2. edit->Mark Delete

Actual results:
hung setroubleshootd and sealert

Expected results:
success
Comment 1 Bug Zapper 2009-06-09 22:02:53 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Daniel Walsh 2009-06-10 06:46:22 EDT
I believe this is fixed in the current release.
Comment 3 Daniel Walsh 2009-06-10 06:46:34 EDT
I believe this is fixed in the current release.

Note You need to log in before you can comment on or make changes to this bug.